.contacts {
    color: white;
    overflow: hidden;
    background: var(--dark);

    &__wrap {
        position: relative;
        padding-top: rem(54);
        padding-bottom: rem(14);
    }

    &__header {
        z-index: 20;
        position: relative;
        margin-bottom: rem(36);
    }

    &__title {
        font-size: rem(40);
        line-height: rem(40);
    }

    &__subtitle {
        color: var(--gray);
        font-size: rem(16);
        line-height: 110%;
        margin-top: rem(6);
    }

    &__body {
        z-index: 20;
        font-size: rem(16);
        line-height: 110%;
        position: relative;
        display: flex;
        flex-direction: column;
        row-gap: rem(30);

        a {
            color: white;
            text-decoration: none;

            &:hover {
                color: white;
                text-decoration: none;
            }
        }
    }

    &__name {
        font-size: rem(22);
        line-height: 100%;
        margin-bottom: rem(10);
    }

    &__row {
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;
    }

    &__pattern {
        z-index: 1;
        opacity: .03;
        width: 416px;
        top: rem(170);
        left: rem(-150);
        position: absolute;
    }

    @include media-breakpoint-up(md) {

        &__wrap {
            padding-top: rem(100);
            padding-bottom: rem(80);
        }

        &__header {
            margin-bottom: rem(80);
        }

        &__title {
            font-size: rem(80);
            line-height: rem(80);
        }

        &__subtitle {
            color: var(--gray);
            font-size: rem(22);
            line-height: 110%;
            margin-top: rem(10);
        }

        &__body {
            row-gap: rem(66);
        }

        &__name {
            font-size: rem(36);
            line-height: 100%;
            margin-bottom: rem(18);
        }

        &__row {
            grid-column-gap: rem(40);
            grid-template-columns: 1fr 1fr;
        }

        &__pattern {
            left: rem(-250);
            top: rem(400);
            width: 625px;
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            padding-left: rem(240);
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            padding-top: rem(136);
            padding-left: rem(324);
            padding-bottom: rem(180);
        }

        &__header {
            margin-bottom: rem(115);
        }

        &__title {
            font-size: rem(160);
            line-height: rem(160);
            letter-spacing: -2px;
        }

        &__subtitle {
            width: rem(866);
            margin-bottom: 0;
        }

        &__name {
            font-size: rem(50);
            line-height: rem(50);
        }

        &__body {
            font-size: rem(22);
            line-height: 110%;
            letter-spacing: calc(-1em / 30);
        }

        &__row {
            grid-column-gap: rem(10);
            grid-template-columns: rem(448) 1fr;
        }

        &__pattern {
            top: rem(580);
            left: rem(-380);
        }
    }

    @include media-breakpoint-up(xxl) {}

}
